#! /bin/bash
#set -e

echo "Stop docker services"
if [ ! -z "$(docker service ls -q)" ]; then
	docker service rm $(docker service ls -q)
fi

echo "Remove container lists"
if [ ! -z "$(docker ps -a -q)" ]; then
	docker rm $(docker ps -a -q) -f 
fi

echo "Remove image lists"
if [ ! -z "$(docker images -q)" ]; then
	docker rmi $(docker images -q) -f 
fi

echo "Do prune"
docker system prune -f

echo "Stop dockzen-launcher.service"
systemctl stop dockzen-launcher.service

echo "Delete /var/lib/docker folder"
rm /var/lib/docker/ -rf

echo "Clear init flag"
rm /etc/dockzen/sc/factory_init.json

reboot -f